Facebook Ad Library Company Ads
Fetches all ads currently running for a specific company from the Meta Ad Library.
Facebook Ad Library Company Ads GET /v1/facebook/adLibrary/company/ads Fetches all ads currently running for a specific company from the Meta Ad Library. Authentication: x-api-key Example URL: https://api.datawake.ai/v1/facebook/adLibrary/company/ads?pageId=367152833370567&companyName=Lululemon&country=ALL&status=ACTIVE&media_type=ALL&language=EN&sort_by=total_impressions&start_date=2025-01-01&end_date=2025-12-31&cursor=AQHRBUAxNmFlxBVMFL6uTb1ICFsV65O4SqmPbcVZJhiveBpPS1hFHAmL6yCJcF760cXP&trim=false&llm_friendly=true Parameters: - pageId (query · string · optional) = 367152833370567 - companyName (query · string · optional) = Lululemon - country (query · string · optional) = ALL - status (query · string · optional) = ACTIVE - media_type (query · string · optional) = ALL - language (query · string · optional) = EN - sort_by (query · string · optional) = total_impressions - start_date (query · string · optional) = 2025-01-01 - end_date (query · string · optional) = 2025-12-31 - cursor (query · string · optional) = AQHRBUAxNmFlxBVMFL6uTb1ICFsV65O4SqmPbcVZJhiveBpPS1hFHAmL6yCJcF760cXP - trim (query · boolean · optional) = false - llm_friendly (query · boolean · optional) = true
Overview
WakeScrap exposes this Facebook Ad Library endpoint with an LLM-friendly response by default. Set llm_friendly=false to receive the full response shape.
Fetches all ads currently running for a specific company from the Meta Ad Library. Each ad includes ad_archive_id, page_name, is_active, publisher_platform, and a snapshot with body, images, videos, and display_format. Supports filtering by country, media_type, date range, and language with cursor-based pagination.
Optional query parameters can be combined in a single request.
Headers
Your Wake API access key.
Example:
Query Parameters
The companies ad library page id. You can get this with my Search For Companies Endpoint. Can either use this or companyName
Example:
The name of the company. Can either use this or pageId
Example:
This can only be one country. It has to be the 2 letter code for the country. It defaults to ALL.
Example:
Status of the ad. Defaults to ACTIVE.
Example:
enum: ALL, ACTIVE, INACTIVE
Media type of the ad. Defaults to ALL. Meme refers to ads with image and text. Not sure why they call it meme.
Example:
enum: ALL, IMAGE, VIDEO, MEME, IMAGE_AND_MEME, NONE
Language to filter ads on. Needs to be 2 letter language code, ie EN, ES, FR, etc
Example:
Sort by impressions (high to low), or Most Recent (relevancy_monthly_grouped). Defaults to impressions.
Example:
enum: total_impressions, relevancy_monthly_grouped
Start date to search for. Format: YYYY-MM-DD
Example:
End date to search for. Format: YYYY-MM-DD
Example:
Cursor to paginate through results
Example:
Set to true for a trimmed down version of the response
Example:
Defaults to true. When true, WakeScrap returns a compact LLM-friendly response. Set false to receive the full response shape.
Example: